# [BETA] List VM instances

```http
GET /compute/v1/tenants/{tenantId}/instances
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `ListInstances`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `read:compute:instances`

Returns a paginated list of VM instances for a tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

### Query parameters

- `page` (integer, default: `1`) — Page number
- `pageSize` (integer, default: `20`) — Page size

## Responses

### 200 — OK

Content type: `application/json`

- `items` (array of object)
  - items (object)
    - `createdAt` (string)
    - `id` (string)
    - `name` (string)
    - `primaryAddress` (string)
    - `publicAddress` (string)
    - `state` (string, one of: `Starting`, `Running`, `Stopping`, `Stopped`, `Destroyed`, `Expunging`, `Migrating`, `Error`, `Unknown`, `Shutdown`, `Restoring`)
- `page` (integer)
- `pageSize` (integer)
- `totalCount` (integer)

### 403 — Compute is suspended for this tenant

Content type: `application/json`

- `message` (string)
